Bug 425691 - Useless error popup
Useless error popup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-14 18:49 EST by John Ellson
Modified: 2007-12-18 09:53 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-18 09:53:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2007-12-14 18:49:49 EST
Description of problem:
When I login I get this error popup that reads:

    There was an error starting the GNOME Settings Daemon.

    Some things, such as themes, sounds, or background settings may not work   
correctly.

    The last error message was:

    An SELinux policy prevents this sender from sending this message to this
recipient (rejected message had interface "org.freedesktop.DBus" member "Hello"
error name "(unset)" destination "org.freedesktop.DBus")

    GNOME will still try to restart the Settings Daemon next time you log in.


1. What is the "GNOME Settings Daemon" ?   There is no rpm with that name, there
is no entry in ntsysv with that name, there is no /usr/bin executable with that
name (or case-ignore, space/hyphen ignore variants thereof).

2. What is really broken?  (After I clear the popup the session seems ok.)

3. I have SELINUX=permissive, so why am I really getting this error.

4. What is "this" sender and what is "this" message?

5. What is the typical user supposed to do about it?????



Version-Release number of selected component (if applicable):
gnome-session-2.20.2-1.fc9.x86_64
dbus-1.1.2-9.fc9.x86_64


How reproducible:
100%

Steps to Reproduce:
1. login
2.
3.
  
Actual results:
Inscrutable popup

Expected results:
Error messages that I can take action on.

Additional info:
Comment 1 Ray Strode [halfline] 2007-12-17 11:36:44 EST
Hi,

The user is never supposed to see that message.  It means the system is broken
beyond the user's ability to repair it.  It's debatable whether showing the
dialog at all is worthwhile.  

settings daemon is located ion /usr/libexec/gnome-settings-daemon.  It manages
things like theme preferences, starting the screensaver, deciding which file
chooser backend to use, setting up keyboard maps.  It's a pretty lowlevel
program that users shouldn't need to know about, but if it's not there will make
the desktop behave oddly.

There was an SELinux/DBus mismatch in rawhide right last week.  I think the
problem has been resolved?  Are you still seeing this issue with today's rawhide?
Comment 2 John Ellson 2007-12-17 18:41:32 EST
Problem has cleared.

The general issue of poor error popups in fedora is still one of my pet peeves
though. 

Nobody intends for errors to occur, but they do.  
Comment 3 Ray Strode [halfline] 2007-12-18 09:53:59 EST
I know what you mean.  Anyway, going to close this one out RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.